<div class="flex-column" *ngIf="solution$ | async as data">
  <div class="header-container">
    <div class="header-container-top">
      <span class="md-headline5">Manage {{ data.name }}</span
      >|

      <gp-version-dropdown
        [selectedDefaultRevision]="(selectedRevision$ | async)!"
        [revisionsList]="(revisions$ | async)!"
        (revisionChange)="onChangeVersion($event)"
      ></gp-version-dropdown>
      |
      <div
        class="author-publisher-container"
        *ngIf="sharedWith$ | async as sharedWithData"
      >
        <span>Author and Publisher - &nbsp; </span>
        <img
          class="user-profile-black-image"
          src="../../../../assets/images/user-profile-black.png"
        />
        <div class="flex-row">
          <button
            mat-icon-button
            [matMenuTriggerFor]="menu"
            aria-label="icon-button with a menu"
          >
            <mat-icon>more_horiz</mat-icon>
          </button>
          <mat-menu #menu="matMenu" xPosition="after">
            <mat-list role="list" *ngFor="let item of sharedWithData">
              <mat-list-item role="listitem" class="font-size-text">
                <div class="user-profile-black-image-container">
                  <img
                    class="user-profile-black-image"
                    src="../../../../assets/images/user-profile-black.png"
                  />
                  <span [title]="[item.firstName, item.lastName].join('')"
                    >{{
                      [item.firstName, item.lastName].join(" ") | truncate: 13
                    }}
                  </span>
                </div>
              </mat-list-item>
            </mat-list>
          </mat-menu>
        </div>
      </div>
    </div>

    <div>
      <gp-breadcrumb-navigation
        [solution]="data"
        [firstNavigationLabel]="{ label: 'Home' }"
        [secondNavigationLabel]="{ label: 'Manage my model' }"
        (firstNavigationClicked)="onHomeClick()"
        (secondNavigationClicked)="onManageMyModelClick()"
      ></gp-breadcrumb-navigation>
    </div>
  </div>

  <mat-sidenav-container>
    <mat-sidenav mode="side" opened #sidenav>
      <div class="workflow-left-header workflow-header">MANAGEMENT OPTIONS</div>
      <div
        *ngIf="selectedRevision$ | async as selectedRevision"
        class="static-tabs"
      >
        <div>
          <span class="tab-box font-size-text">On - Boarding</span>
        </div>
        <div>
          <span class="version-on-boarded"
            >Completed on
            {{
              selectedRevision.onBoarded | date: "MM/dd/yyyy, h:mm:ss a"
            }}</span
          >
        </div>
      </div>
      <nav mat-tab-nav-bar class="nav-share-with-tab" [tabPanel]="tabPanel">
        <a
          mat-tab-link
          routerLink="shareWithTeam"
          routerLinkActive="is-active"
          class="share-with-tab-container"
        >
          <mat-icon fontIcon="share"></mat-icon>
          <div class="share-with-tab">
            <span class="tab-box font-size-text"> Share with team</span>
            <span
              *ngIf="sharedWith$ | async as sharedWithData"
              class="share-with-text"
              >Shared with {{ sharedWithData.length }} co-workers</span
            >
          </div>
        </a>
        <a
          mat-tab-link
          routerLink="publisherAuthors"
          routerLinkActive="is-active"
          ><span
            class="managelefticon tabs-left authorsimg"
            [ngClass]="
              isActive(
                '/dashboard/manageMyModel/' +
                  solutionId +
                  revisionId +
                  '/publisherAuthors'
              )
                ? 'authorsimg-active'
                : 'authorsimg-inactive'
            "
          ></span
          ><span class="tab-box font-size-text"
            >Manage Publisher/Authors</span
          ></a
        >
        <a mat-tab-link routerLink="publishModel" routerLinkActive="is-active"
          ><span
            class="managelefticon tabs-left companyimg"
            [ngClass]="
              isActive(
                '/dashboard/manageMyModel/' +
                  solutionId +
                  revisionId +
                  '/publishModel'
              )
                ? 'companyimg-active'
                : 'companyimg-inactive'
            "
          ></span
          ><span class="tab-box font-size-text">Publish to Marketplace</span></a
        >
        <a mat-tab-link routerLink="deleteModel" routerLinkActive="is-active"
          ><mat-icon fontIcon="delete"></mat-icon
          ><span class="tab-box delete-model-tab-text">Delete Model</span></a
        >
      </nav>
      <mat-tab-nav-panel #tabPanel></mat-tab-nav-panel>
    </mat-sidenav>
    <mat-sidenav-content class="page-wrap"
      ><main class="content-router-outlet">
        <router-outlet></router-outlet></main
    ></mat-sidenav-content>
  </mat-sidenav-container>
</div>
